Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# quaternion.h File Reference

`#include "irrTypes.h"`
`#include "irrMath.h"`
`#include "matrix4.h"`
`#include "vector3d.h"`

Go to the source code of this file.

## Classes
class | irr::core::quaternion
| Quaternion class for representing rotations. More...
## Namespaces
namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:59 2010 by Doxygen (1.6.2)